com.amazon.redshift

## Class CredentialsHolder.IamMetadata

- java.lang.Object
- - com.amazon.redshift.CredentialsHolder.IamMetadata

All Implemented Interfaces:
  Cloneable

Enclosing class:
  CredentialsHolder

    public static final class CredentialsHolder.IamMetadata
    extends Object
    implements Cloneable

### Constructor Summary

Constructors
Constructor and Description
`IamMetadata()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CredentialsHolder.IamMetadata` `clone()`
`boolean` `getAllowDbUserOverride()`
`Boolean` `getAutoCreate()`
`String` `getDbGroups()`
`String` `getDbUser()`
`boolean` `getForceLowercase()`
`String` `getProfileDbUser()`
`String` `getSamlDbUser()`
`void` `setAllowDbUserOverride(boolean allowDbUserOverride)`
`void` `setAutoCreate(Boolean autoCreate)`
`void` `setDbGroups(String dbGroups)`
`void` `setDbUser(String dbUser)`
`void` `setForceLowercase(boolean forceLowercase)`
`void` `setProfileDbUser(String dbUser)`
`void` `setSamlDbUser(String dbUser)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IamMetadata

    public IamMetadata()

### Method Detail

#### getAutoCreate

    public Boolean getAutoCreate()

#### getDbUser

    public String getDbUser()

#### setDbUser

    public void setDbUser(String dbUser)

#### setAutoCreate

    public void setAutoCreate(Boolean autoCreate)

#### getSamlDbUser

    public String getSamlDbUser()

#### setSamlDbUser

    public void setSamlDbUser(String dbUser)

#### getProfileDbUser

    public String getProfileDbUser()

#### setProfileDbUser

    public void setProfileDbUser(String dbUser)

#### getDbGroups

    public String getDbGroups()

#### setDbGroups

    public void setDbGroups(String dbGroups)

#### getForceLowercase

    public boolean getForceLowercase()

#### setForceLowercase

    public void setForceLowercase(boolean forceLowercase)

#### getAllowDbUserOverride

    public boolean getAllowDbUserOverride()

#### setAllowDbUserOverride

    public void setAllowDbUserOverride(boolean allowDbUserOverride)

#### clone

    public CredentialsHolder.IamMetadata clone()

Overrides:
  `clone` in class `Object`